[API Reference](../README.md) > [TransactionReceiptTruffle](../interfaces/TransactionReceiptTruffle.md)

# Interface: TransactionReceiptTruffle

The bundle of logs, TransactionReceipt and other information as returned by Truffle after invoking a contract function that causes a transaction.

## Hierarchy

**TransactionReceiptTruffle**

## Index

### Properties

* [logs](TransactionReceiptTruffle.md#logs)
* [receipt](TransactionReceiptTruffle.md#receipt)
* [transactionHash](TransactionReceiptTruffle.md#transactionHash)

---

## Properties

<a id="logs"></a>

###  logs

**● logs**: *`Array`<`any`>*

*Defined in [transactionService.ts:683](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L683)*

___
<a id="receipt"></a>

###  receipt

**● receipt**: *`TransactionReceipt`*

*Defined in [transactionService.ts:684](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L684)*

___
<a id="transactionHash"></a>

###  transactionHash

**● transactionHash**: *[Hash](../#Hash)*

*Defined in [transactionService.ts:685](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L685)*

___

